Simon Willison’s Weblog

What should be my minimum requirements for a cutting edge SaaS business product?

My answer to What should be my minimum requirements for a cutting edge SaaS business product? on Quora

That depends on your customers. If you’re building software for banks or hospitals you probably need to support older versions of IE. If it’s for software companies or web freelancers, requiring a modern browser version is fine.

This is What should be my minimum requirements for a cutting edge SaaS business product? by Simon Willison, posted on 19th October 2013.

Tagged , ,

Next: What prevents founders from taking blown up salaries?

Previous: How did the big players on the web promote themselves in the early days?